%define pkgver %(echo %version | tr -d .)
Name:          libcgroup
Version:       0.38
Release:       2mamba
Summary:       A control group kernel file system interface to manipulate and control the details on task grouping
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libcg.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/libcg/libcgroup/v.%{pkgver}/libcgroup-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaudit-devel
BuildRequires: pam-devel
## AUTOBUILDREQ-END
BuildRequires: pkg-config
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Control groups, a new kernel feature in Linux 2.6.24 provides a file system interface to manipulate and control the details on task grouping including creation of new task groups (control groups), permission handling and task assignment.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
   --enable-pam-module-dir=/%{_lib}/security

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcgroup.so.*
/%{_lib}/security/pam_cgroup.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libcgroup.h
%dir %{_includedir}/libcgroup
%{_includedir}/libcgroup/*.h
%{_libdir}/libcgroup.la
%{_libdir}/libcgroup.so
%{_libdir}/pkgconfig/libcgroup.pc
/%{_lib}/security/pam_cgroup.la
/%{_lib}/security/pam_cgroup.so
%doc README README_daemon README_systemd

%files tools
%defattr(-,root,root)
%{_bindir}/cgclassify
%{_bindir}/cgcreate
%{_bindir}/cgdelete
%{_bindir}/cgexec
%{_bindir}/cgget
%{_bindir}/cgset
%{_bindir}/cgsnapshot
%{_bindir}/lscgroup
%{_bindir}/lssubsys
%{_sbindir}/cgclear
%{_sbindir}/cgconfigparser
%{_sbindir}/cgrulesengd
%{_mandir}/man1/cgclassify.1.gz
%{_mandir}/man1/cgclear.1.gz
%{_mandir}/man1/cgcreate.1.gz
%{_mandir}/man1/cgdelete.1.gz
%{_mandir}/man1/cgexec.1.gz
%{_mandir}/man1/cgget.1.gz
%{_mandir}/man1/cgset.1.gz
%{_mandir}/man1/cgsnapshot.1.gz
%{_mandir}/man1/lscgroup.1.gz
%{_mandir}/man1/lssubsys.1.gz
%{_mandir}/man5/cgconfig.conf.5.gz
%{_mandir}/man5/cgred.conf.5.gz
%{_mandir}/man5/cgrules.conf.5.gz
%{_mandir}/man8/cgconfigparser.8.gz
%{_mandir}/man8/cgrulesengd.8.gz

%changelog
* Thu Oct 31 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.38-2mamba
- libcgroup-tools: fixed group

* Sat May 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.38-1mamba
- package created by autospec
